summaryrefslogtreecommitdiff
path: root/sys-auth
diff options
context:
space:
mode:
authorGravatar Chris Xiong <chirs241097@gmail.com> 2021-10-16 23:51:12 -0400
committerGravatar Chris Xiong <chirs241097@gmail.com> 2021-10-16 23:51:12 -0400
commit490b68c1214bd06d4a59633900ddd451d4f538a5 (patch)
treef01936079fa827c95b67ea0c7bd8a7fe292359f7 /sys-auth
parent0bf63c570f471d57bbf2987dcac1640bb6b9fc27 (diff)
downloadppo-490b68c1214bd06d4a59633900ddd451d4f538a5.tar.xz
Import fprint stuff from tatsh-overlay.
Diffstat (limited to 'sys-auth')
-rw-r--r--sys-auth/fprintd/Manifest2
-rw-r--r--sys-auth/fprintd/fprintd-1.94.0.ebuild80
-rw-r--r--sys-auth/libfprint/Manifest2
-rw-r--r--sys-auth/libfprint/libfprint-1.94.1.ebuild50
4 files changed, 134 insertions, 0 deletions
diff --git a/sys-auth/fprintd/Manifest b/sys-auth/fprintd/Manifest
new file mode 100644
index 0000000..5cf4c5e
--- /dev/null
+++ b/sys-auth/fprintd/Manifest
@@ -0,0 +1,2 @@
+DIST fprintd-1.94.0.tar.gz 673738 BLAKE2B 6193a79d1936e28187ca5f02d663cd84080fe98b68090dce9cae45e7edc0f4093ad3a3b857a9347f7c7dbd46c57adb27ad5db079159bfc3e8a780e9678a6c06f SHA512 a8071f33f47d87bc6f066e4e8bff0b44e9c606ac44293d3157ad7271b6e82ad07708df518f8047adccf9cb7fc22960f7c161f4c220caad14b9233cae9e79d06b
+EBUILD fprintd-1.94.0.ebuild 2043 BLAKE2B a71820fde27549ba4ce761d88b8f1bfd567201d2e4afcee5e6087855de9343bf5d3cac67b73cf5738c3a057dbf32a0a51363052c3e6fa3bffca79538463306d0 SHA512 01cf82f77b87d41d4fdcc84ef618d763fe29426da44b18490a64f75d6ae6e1051341d131dd68cfaa8f56b2f2c8a3c6dc5ea3bd8f51a68de05386a3b06e049c85
diff --git a/sys-auth/fprintd/fprintd-1.94.0.ebuild b/sys-auth/fprintd/fprintd-1.94.0.ebuild
new file mode 100644
index 0000000..11125a8
--- /dev/null
+++ b/sys-auth/fprintd/fprintd-1.94.0.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+inherit meson pam python-single-r1 systemd
+
+DESCRIPTION="D-Bus service to access fingerprint readers"
+HOMEPAGE="https://cgit.freedesktop.org/libfprint/fprintd/"
+SHA="fc7e058e937db861d1868a55b5316798d14fe0b7"
+SRC_URI="https://gitlab.freedesktop.org/libfprint/fprintd/-/archive/v${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gtk-doc +pam static-libs systemd test"
+REQUIRED_USE="systemd? ( pam )
+ test? ( ${PYTHON_REQUIRED_USE} )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-libs/dbus-glib
+ dev-libs/glib:2
+ >=sys-auth/libfprint-${PV}
+ sys-auth/polkit
+ systemd? ( sys-apps/systemd )
+ pam? ( sys-libs/pam )"
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ gtk-doc? (
+ dev-util/gtk-doc
+ dev-util/gtk-doc-am
+ dev-libs/libxml2
+ )"
+BDEPEND="test? (
+ dev-python/python-dbusmock
+ pam? ( sys-libs/pam_wrapper )
+ )"
+
+S="${WORKDIR}/${PN}-v${PV}-${SHA}"
+
+DOCS=( pam/README )
+
+src_prepare() {
+ # Remove test dep checks
+ if ! use test; then
+ sed -e "/.*'dbusmock': true.*/d" -i meson.build || die "sed failed"
+ sed -e "/.*'pypamtest': .*/d" -i meson.build || die "sed failed"
+ sed -e '/pam_wrapper_dep =.*/d' -i meson.build || die "sed failed"
+ sed -e "/^subdir('tests')/d" -i meson.build || die "sed failed"
+ sed -e "/With address sanitizer: /d" -i meson.build || die "sed failed"
+ fi
+ default
+}
+
+src_configure() {
+ local emesonargs=(
+ -Dsystemd_system_unit_dir=$(systemd_get_systemunitdir)
+ -Dman=true
+ -Dgtk_doc=$(usex gtk-doc true false)
+ )
+ meson_src_configure
+}
+
+src_install() {
+ meson_src_install
+ keepdir /var/lib/fprint
+ find "${D}" -name "*.la" -delete || die
+ einstalldocs
+ if use gtk-doc; then
+ insinto /usr/share/doc/${PF}/html
+ doins doc/{fprintd-docs,version}.xml
+ insinto /usr/share/doc/${PF}/html/dbus
+ doins doc/dbus/net.reactivated.Fprint.{Device,Manager}.ref.xml
+ fi
+}
+
+pkg_postinst() {
+ elog "Please take a look at README.pam_fprintd for integration docs."
+} \ No newline at end of file
diff --git a/sys-auth/libfprint/Manifest b/sys-auth/libfprint/Manifest
new file mode 100644
index 0000000..882f8e5
--- /dev/null
+++ b/sys-auth/libfprint/Manifest
@@ -0,0 +1,2 @@
+DIST libfprint-1.94.1.tar.gz 10405046 BLAKE2B a46af62d3f7f8ad7f0815cecbd2a8c68c212e13785b968b0f0304473db5f4b7eb67d0bb74411c4828a51b9c22f6c86bd08ad564db623acf31715a1d0f7aa8389 SHA512 bae1de8378b9fb8fed1e292d96637a1e4a1c99a5a3f7735dae036eddb022bea2b5646bebf610b714338d4645e73b0968b14c20b1992d77d83a60c939c1509b44
+EBUILD libfprint-1.94.1.ebuild 1249 BLAKE2B d03fe819b72b233b28fad0b1a0158b100dded643f55e0827d0472f6648c6d4d8668089595a43fcff96e19f983d8abba9bcbdf94ccbffd4eb36989c4347838748 SHA512 297415c702a583a6e2845b398dfed34768016a4b0b659e5403761f624eaed47c93379e0706760358bff4ed3721d1dc787fbf416eaec94a41640d5fa50dd82676
diff --git a/sys-auth/libfprint/libfprint-1.94.1.ebuild b/sys-auth/libfprint/libfprint-1.94.1.ebuild
new file mode 100644
index 0000000..ce92cb6
--- /dev/null
+++ b/sys-auth/libfprint/libfprint-1.94.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit meson udev
+
+DESCRIPTION="Library to add support for consumer fingerprint readers"
+HOMEPAGE="https://cgit.freedesktop.org/libfprint/libfprint/ https://github.com/freedesktop/libfprint https://gitlab.freedesktop.org/libfprint/libfprint"
+SRC_URI="https://github.com/freedesktop/libfprint/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1+"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="examples gtk-doc +introspection"
+
+RDEPEND="
+ dev-libs/glib:2
+ dev-libs/libgusb
+ dev-libs/nss
+ virtual/libusb:1=
+ x11-libs/gtk+:3
+ x11-libs/libX11
+ x11-libs/libXv
+ x11-libs/pixman
+ !>=sys-auth/libfprint-1.92:0
+"
+
+DEPEND="${RDEPEND}"
+
+BDEPEND="
+ virtual/pkgconfig
+ gtk-doc? ( dev-util/gtk-doc )
+ introspection? ( dev-libs/gobject-introspection )
+"
+
+PATCHES=( ${FILESDIR}/${PN}-0.8.2-fix-implicit-declaration.patch )
+
+src_configure() {
+ local emesonargs=(
+ $(meson_use examples gtk-examples)
+ $(meson_use introspection)
+ $(meson_use gtk-doc doc)
+ -Ddrivers=all
+ -Dudev_rules=enabled
+ -Dudev_rules_dir=$(get_udevdir)/rules.d
+ --libdir=/usr/$(get_libdir)
+ )
+ meson_src_configure
+} \ No newline at end of file